<ui version="4.0" >
 <class>KCategorizedItemsViewBase</class>
 <widget class="QWidget" name="KCategorizedItemsViewBase" >
  <property name="geometry" >
   <rect>
    <x>0</x>
    <y>0</y>
    <width>487</width>
    <height>528</height>
   </rect>
  </property>
  <layout class="QVBoxLayout" >
   <property name="leftMargin" >
    <number>0</number>
   </property>
   <property name="topMargin" >
    <number>0</number>
   </property>
   <property name="rightMargin" >
    <number>0</number>
   </property>
   <property name="bottomMargin" >
    <number>0</number>
   </property>
   <item>
    <widget class="QComboBox" name="comboFilters" >
     <property name="sizePolicy" >
      <sizepolicy vsizetype="Fixed" hsizetype="Expanding" >
       <horstretch>3</horstretch>
       <verstretch>0</verstretch>
      </sizepolicy>
     </property>
    </widget>
   </item>
   <item>
    <widget class="QFrame" name="frame" >
     <property name="frameShape" >
      <enum>QFrame::StyledPanel</enum>
     </property>
     <property name="frameShadow" >
      <enum>QFrame::Sunken</enum>
     </property>
     <layout class="QVBoxLayout" >
      <property name="spacing" >
       <number>0</number>
      </property>
      <property name="leftMargin" >
       <number>0</number>
      </property>
      <property name="topMargin" >
       <number>0</number>
      </property>
      <property name="rightMargin" >
       <number>0</number>
      </property>
      <property name="bottomMargin" >
       <number>0</number>
      </property>
      <item>
       <widget class="KLineEdit" name="textSearch" >
        <property name="sizePolicy" >
         <sizepolicy vsizetype="Fixed" hsizetype="Expanding" >
          <horstretch>2</horstretch>
          <verstretch>0</verstretch>
         </sizepolicy>
        </property>
        <property name="frame" >
         <bool>false</bool>
        </property>
        <property name="showClearButton" stdset="0" >
         <bool>true</bool>
        </property>
       </widget>
      </item>
      <item>
       <widget class="Line" name="line" >
        <property name="frameShadow" >
         <enum>QFrame::Plain</enum>
        </property>
        <property name="orientation" >
         <enum>Qt::Horizontal</enum>
        </property>
       </widget>
      </item>
      <item>
       <widget class="CustomDragTreeView" name="itemsView" >
        <property name="frameShape" >
         <enum>QFrame::NoFrame</enum>
        </property>
        <property name="editTriggers" >
         <set>QAbstractItemView::NoEditTriggers</set>
        </property>
        <property name="dragEnabled" >
         <bool>true</bool>
        </property>
        <property name="dragDropMode" >
         <enum>QAbstractItemView::DragOnly</enum>
        </property>
        <property name="selectionMode" >
         <enum>QAbstractItemView::ExtendedSelection</enum>
        </property>
        <property name="iconSize" >
         <size>
          <width>64</width>
          <height>64</height>
         </size>
        </property>
        <property name="indentation" >
         <number>0</number>
        </property>
        <property name="rootIsDecorated" >
         <bool>false</bool>
        </property>
       </widget>
      </item>
     </layout>
    </widget>
   </item>
  </layout>
 </widget>
 <layoutdefault spacing="6" margin="11" />
 <customwidgets>
  <customwidget>
   <class>KLineEdit</class>
   <extends>QLineEdit</extends>
   <header>klineedit.h</header>
  </customwidget>
  <customwidget>
   <class>CustomDragTreeView</class>
   <extends>QTreeView</extends>
   <header>customdragtreeview_p.h</header>
  </customwidget>
 </customwidgets>
 <tabstops>
  <tabstop>comboFilters</tabstop>
 </tabstops>
 <resources/>
 <connections>
  <connection>
   <sender>comboFilters</sender>
   <signal>currentIndexChanged(int)</signal>
   <receiver>textSearch</receiver>
   <slot>clear()</slot>
   <hints>
    <hint type="sourcelabel" >
     <x>438</x>
     <y>14</y>
    </hint>
    <hint type="destinationlabel" >
     <x>438</x>
     <y>38</y>
    </hint>
   </hints>
  </connection>
 </connections>
</ui>
